* [gentoo-commits] proj/gnome:gnome-next commit in: media-libs/grilo/, media-libs/grilo/files/
@ 2011-09-13 22:31 Alexandre Restovtsev
0 siblings, 0 replies; only message in thread
From: Alexandre Restovtsev @ 2011-09-13 22:31 UTC (permalink / raw
To: gentoo-commits
commit: 760980438f8bed415db8381a402769d9e72c6179
Author: Priit Laes <plaes <AT> plaes <DOT> org>
AuthorDate: Tue Sep 13 10:04:20 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Tue Sep 13 22:29:19 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=76098043
media-libs/grilo: Added bump into overlay
---
media-libs/grilo/files/grilo-0.1.16-constants.py | 50 ++++++++++++
.../files/grilo-0.1.16-fix-automagic-test-ui.patch | 32 ++++++++
media-libs/grilo/grilo-0.1.17.ebuild | 80 ++++++++++++++++++++
3 files changed, 162 insertions(+), 0 deletions(-)
diff --git a/media-libs/grilo/files/grilo-0.1.16-constants.py b/media-libs/grilo/files/grilo-0.1.16-constants.py
new file mode 100644
index 0000000..e8e2690
--- /dev/null
+++ b/media-libs/grilo/files/grilo-0.1.16-constants.py
@@ -0,0 +1,50 @@
+KEY_NONEXISTING = 'nonexisting-key'
+KEY_ALBUM = 'album'
+KEY_ARTIST = 'artist'
+KEY_AUTHOR = 'author'
+KEY_BITRATE = 'bitrate'
+KEY_CERTIFICATE = 'certificate'
+KEY_CHILDCOUNT = 'childcount'
+KEY_DATE = 'date'
+KEY_DESCRIPTION = 'description'
+KEY_DURATION = 'duration'
+KEY_EXTERNAL_PLAYER = 'external-player'
+KEY_EXTERNAL_URL = 'external-url'
+KEY_FRAMERATE = 'framerate'
+KEY_GENRE = 'genre'
+KEY_HEIGHT = 'height'
+KEY_ID = 'id'
+KEY_LAST_PLAYED = 'last-played'
+KEY_LAST_POSITION = 'last-position'
+KEY_LICENSE = 'license'
+KEY_LYRICS = 'lyrics'
+KEY_MIME = 'mime'
+KEY_PLAY_COUNT = 'play-count'
+KEY_RATING = 'rating'
+KEY_SITE = 'site'
+KEY_SOURCE = 'source'
+KEY_STUDIO = 'studio'
+KEY_THUMBNAIL = 'thumbnail'
+KEY_TITLE = 'title'
+KEY_URL = 'url'
+KEY_WIDTH = 'width'
+
+REGISTERED_KEYS = [KEY_ALBUM, KEY_ARTIST, KEY_AUTHOR, KEY_BITRATE,
+ KEY_CERTIFICATE, KEY_CHILDCOUNT, KEY_DATE,
+ KEY_DESCRIPTION, KEY_DURATION, KEY_EXTERNAL_PLAYER,
+ KEY_EXTERNAL_URL, KEY_FRAMERATE, KEY_GENRE, KEY_HEIGHT,
+ KEY_ID, KEY_LAST_PLAYED, KEY_LAST_POSITION, KEY_LICENSE,
+ KEY_LYRICS, KEY_MIME, KEY_PLAY_COUNT, KEY_RATING,
+ KEY_SITE, KEY_SOURCE, KEY_STUDIO, KEY_THUMBNAIL,
+ KEY_TITLE, KEY_URL, KEY_WIDTH]
+
+SUPPORTED_OPS = []
+try:
+ from gi.repository import Grl
+ SUPPORTED_OPS = [Grl.SupportedOps.NONE, Grl.SupportedOps.METADATA,
+ Grl.SupportedOps.RESOLVE, Grl.SupportedOps.BROWSE,
+ Grl.SupportedOps.SEARCH, Grl.SupportedOps.QUERY,
+ Grl.SupportedOps.STORE, Grl.SupportedOps.STORE_PARENT,
+ Grl.SupportedOps.REMOVE, Grl.SupportedOps.SET_METADATA]
+except:
+ pass
diff --git a/media-libs/grilo/files/grilo-0.1.16-fix-automagic-test-ui.patch b/media-libs/grilo/files/grilo-0.1.16-fix-automagic-test-ui.patch
new file mode 100644
index 0000000..64ae0c3
--- /dev/null
+++ b/media-libs/grilo/files/grilo-0.1.16-fix-automagic-test-ui.patch
@@ -0,0 +1,32 @@
+--- configure.ac
++++ configure.ac
+@@ -104,12 +104,25 @@
+ # UI Tool
+ # ----------------------------------------------------------
+
+-gtkver="gtk+-3.0"
+-PKG_CHECK_EXISTS([gtk+-3.0 >= 3.0], [gtkver="gtk+-3.0"], [gtkver="gtk+-2.0"])
+-
+-PKG_CHECK_MODULES([GTU], [ ${gtkver} ],
++PKG_CHECK_MODULES([GTU], [ gtk+-3.0 >= 3.0 ],
+ [ BUILD_GRILO_TEST_UI=yes ],
+ [ BUILD_GRILO_TEST_UI=no ])
++AC_ARG_ENABLE([test_ui],
++ AS_HELP_STRING([--enable-test-ui],
++ [Enable Grilo Test UI (default: auto)]),
++ [
++ case "$enableval" in
++ yes)
++ if test "x$BUILD_GRILO_TEST_UI" = "xno"; then
++ AC_MSG_ERROR([gtk+-3.0 >= 3.0 not found, install it
++ or use --disable-test-ui])
++ fi
++ ;;
++ no)
++ BUILD_GRILO_TEST_UI=no
++ ;;
++ esac
++ ])
+
+ AM_CONDITIONAL(BUILD_GRILO_TEST_UI, test "x$BUILD_GRILO_TEST_UI" = "xyes")
+
diff --git a/media-libs/grilo/grilo-0.1.17.ebuild b/media-libs/grilo/grilo-0.1.17.ebuild
new file mode 100644
index 0000000..324cd77
--- /dev/null
+++ b/media-libs/grilo/grilo-0.1.17.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/grilo/grilo-0.1.16.ebuild,v 1.1 2011/08/14 10:52:25 nirbheek Exp $
+
+EAPI="4"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2
+
+DESCRIPTION="A framework for easy media discovery and browsing"
+HOMEPAGE="https://live.gnome.org/Grilo"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples +introspection +network test test-ui vala"
+
+RDEPEND="
+ >=dev-libs/glib-2.22:2
+ dev-libs/libxml2:2
+ network? ( >=net-libs/libsoup-2.33.4:2.4 )
+ test-ui? ( >=x11-libs/gtk+-3.0:3 )
+ introspection? ( >=dev-libs/gobject-introspection-0.9 )"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.9
+ doc? ( >=dev-util/gtk-doc-1.10 )
+ vala? ( dev-lang/vala:0.12[vapigen] )
+ test? (
+ dev-python/pygobject:2[introspection?]
+ media-plugins/grilo-plugins )"
+
+# Tests fail horribly, but return 0
+RESTRICT="test"
+
+pkg_setup() {
+ DOCS="AUTHORS NEWS README TODO"
+ # --enable-debug only changes CFLAGS, useless for us
+ G2CONF="${G2CONF}
+ --disable-maintainer-mode
+ --disable-static
+ --disable-debug
+ VALAC=$(type -P valac-0.12)
+ VALA_GEN_INTROSPECT=$(type -P vala-gen-introspect-0.12)
+ VAPIGEN=$(type -P vapigen-0.12)
+ $(use_enable introspection)
+ $(use_enable network grl-net)
+ $(use_enable test tests)
+ $(use_enable test-ui)
+ $(use_enable vala)"
+}
+
+src_prepare() {
+ # Don't build examples
+ sed -e '/SUBDIRS/s/examples//' \
+ -i Makefile.am -i Makefile.in || die
+
+ # Fix Test-UI automagic gtk2/gtk3 selection
+ epatch "${FILESDIR}/${PN}-0.1.16-fix-automagic-test-ui.patch"
+
+ # Build system doesn't install this file with the tarball
+ cp "${FILESDIR}/${PN}-0.1.16-constants.py" "${S}/tests/python/constants.py"
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_test() {
+ cd tests/
+ emake check
+}
+
+src_install() {
+ gnome2_src_install
+
+ if use examples; then
+ # Install example code
+ insinto /usr/share/doc/${PF}/examples
+ doins "${S}"/examples/*.c
+ fi
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2011-09-13 22:31 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-09-13 22:31 [gentoo-commits] proj/gnome:gnome-next commit in: media-libs/grilo/, media-libs/grilo/files/ Alexandre Restovtsev
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox